Tutorial/Reference: 6.x Loaders and Platforms


Recommended Posts

  • 2 weeks later...

Not sure what to say here, friend.  You are literally posting on the thread that intends to inform you on your options.

 

If you have some specific questions about your specific hardware, post a new question thread with enough information about your setup such that a meaningful answer can be provided.

Link to post
Share on other sites
  • 2 weeks later...

Hello :)

 

Have a (maybe stupid ?) question. The firmware 1.04b has a limitation of number of CPU (I'm using 10660k). Problem, if I use the 1.03b (3617xs), have no hardware transcoding...

Is it possible to add the hardware transcoding on 3617xs (via tweak or something) ? Or maybe tweak the kernel of 918 to use more core ?

 

Thx :)

Link to post
Share on other sites

Nobody has done it yet.  Would require compiling the kernel (kernel source just got released by Synology).  Patching/hacking is unlikely because each of these issues are compile time options that build complex structures within the kernel.

 

Best option for your use case is to turn off hyperthreading in your BIOS so that you can use all six cores.  You can also try to use ESXi so that you can offload some workload to the extra cores (although passthrough of the GPU to the DSM VM may be difficult, but not impossible).

Link to post
Share on other sites
4 hours ago, flyride said:

Nobody has done it yet.  Would require compiling the kernel (kernel source just got released by Synology).  Patching/hacking is unlikely because each of these issues are compile time options that build complex structures within the kernel.

 

Best option for your use case is to turn off hyperthreading in your BIOS so that you can use all six cores.  You can also try to use ESXi so that you can offload some workload to the extra cores (although passthrough of the GPU to the DSM VM may be difficult, but not impossible).

Thx for your answer. Is there a big difference with or without hyperthreading ? 

Link to post
Share on other sites

@santi

If you read the first post of this thread and are none the wiser; if you want the easiest way to install DSM, then I would advise 1.02b DS3617xs and DSM 6.1.7. There's a good chance that it will "just work".

 

If you want to do some more research, then you should search the forum to see how people have got 1.03b DS3617xs and DSM 6.2.3 to work on this type of hardware.

Such as this ==>

If you start installation and get stuck, then start a new thread in the appropriate forum describing your hardware, what you are trying to do, how far you got and what error messages you are getting.

Good Luck!

image.png

Edited by billat29
Link to post
Share on other sites
  • 1 month later...
1 hour ago, ggoette said:

ANy reason why es a Thread limit of 16 on 3617? Is there a way to use more than 16 threads? Thanks

 that one is a compile parameter of the kernel and the kernel cant be changed as we don't have all source

(it was easier to circumvent the protections and make it look like its running on a legit hardware then reverse engineering all the missing parts)

even if you ask more often,  the answer is still the same

https://xpenology.com/forum/topic/42407-only-16-threads-on-ds3617xs-with-e5-2678v3/?do=findComment&comment=198992

 

Link to post
Share on other sites
On 4/10/2021 at 9:57 PM, IG-88 said:

 that one is a compile parameter of the kernel and the kernel cant be changed as we don't have all source

(it was easier to circumvent the protections and make it look like its running on a legit hardware then reverse engineering all the missing parts)

even if you ask more often,  the answer is still the same

https://xpenology.com/forum/topic/42407-only-16-threads-on-ds3617xs-with-e5-2678v3/?do=findComment&comment=198992

 

Sorry mate... I missed the other answer... Thanks for your time and response. My mistake.

Link to post
Share on other sites
On 10/19/2018 at 11:36 AM, flyride said:

When setting up an XPEnology system, you must first select a DSM platform and version. XPEnology supports a few specific DSM platforms that enable certain hardware and software features. All support a minimum of 4 CPU cores, 64GB of RAM, 10Gbe network cards and 12-disk arrays. When you choose a platform and the desired DSM software version, you must download the correct corresponding loader. That may not be the "newest" loader available.

 

Each of these combinations can be run "baremetal" as a stand-alone operating system OR as a virtual machine within a hypervisor (VMWare ESXi is most popular and best documented, but other hypervisors can be used if desired). See the decision tree below to understand why you might choose one or the other.

 

6.x Loaders and Platforms as of 29-Dec-2020

 

Options
Ranked

 

DSM

Platform

 

 

DSM Version

 

Jun's
Loader

 

 

Boot Methods

Hardware
Transcode

Support

NVMe

Cache

Support

 

RAIDF1

Support

 

Oldest CPU

Supported

 

Max CPU

Threads

 

 

Notes

1,3a DS918+ 6.2.0 to 6.2.3 1.04b UEFI, BIOS/CSM Yes Yes No

Haswell **

8

6.2.0, 6.2.3 ok, 6.2.1/6.2.2 not

recommended for new installs*

2,3b DS3617xs 6.2.0 to 6.2.3 1.03b BIOS/CSM only No No Yes any x86-64 16

6.2.0, 6.2.3 ok, 6.2.1/6.2.2 not

recommended for new installs*

  DS3615xs 6.2.0 to 6.2.3 1.03b BIOS/CSM, MBR No No Yes any x86-64 8

6.2.0, 6.2.3 ok, 6.2.1/6.2.2 not

recommended for new installs*

                     
  DS916+ 6.0.3 to 6.1.7 1.02b

UEFI, BIOS/CSM, MBR

Yes No No

Haswell **

8

obsolete, use DS918+ instead

  DS3617xs 6.0.3 to 6.1.6 1.02b

UEFI, BIOS/CSM, MBR

No No Yes any x86-64 16 6.1.7 may kernel panic on ESXi
4 DS3615xs 6.0.3 to 6.1.7 1.02b

UEFI, BIOS/CSM, MBR

No No Yes any x86-64 8 best compatibility on 6.1.x
                     
 

DS3615xs

6.0 to 6.0.2 1.01

UEFI, BIOS/CSM, MBR

No No  

any x86-64

  obsolete

* 6.2.1 and 6.2.2 have a unique kernel signature causing issues with most kernel driver modules, including those included in the loader. Hardware compatibility is limited.

** FMA3 instruction support required. Piledriver is believed to be the minimum AMD CPU architecture to support the DS916+ and DS918+ DSM platforms.

 

CURRENT LOADER/PLATFORM RECOMMENDATIONS/SAMPLE DECISION POINTS:

 

1. DEFAULT install DS918+ 6.2.3 - also if hardware transcoding or NVMe cache support is desired, or if your system only support UEFI boot

  • Prerequisite: Intel Haswell (aka 4th generation) or newer CPU architecture (or AMD equivalent) 
  • Configuration: baremetal loader 1.04b, DSM platform DS918+ version 6.2.3
  • Compatibility troubleshooting options: extra.lzma or ESXi

2. ALTERNATE install DS3617xs 6.2.3 - if RAIDF1, 16-thread or best SAS support is desired, or your CPU is too old for DS918+

  • Prerequisite: USB key boot mode must be set to BIOS/CSM/Legacy Boot
  • Configuration: baremetal loader 1.03b, DSM platform DS3617xs version 6.2.3
  • Compatibility troubleshooting options: extra.lzma, DS3615xs platform, or ESXi

3. ESXi (or other hypervisor) virtual machine install - generally, if hardware is unsupported by DSM but works with a hypervisor

  • Prerequisites: ESXi hardware compatibility, free or paid ESXi 6.x or 7.x license
  • Use case examples: virtualize unsupported NIC, virtualize SAS/NVMe disks and present as SATA, run other ESXi VM's instead of Synology VMM
  • Option 3a: 1.04b loader, DSM platform DS918+ version 6.2.3
  • Option 3b: 1.03b loader, DSM platform DS3617xs version 6.2.3 (VM must be set to BIOS Firmware)
  • Preferred configurations: passthrough SATA controller and disks, and/or configure RDM/RAW disks

4. FALLBACK install DS3615xs 6.1.7 - if you can't get anything else to work

  • Prerequisite: none
  • Configuration: baremetal loader 1.02b, DSM platform DS3615xs version 6.1.7

SPECIAL NOTE for Intel 8th generation+ (Coffee Lake, Comet Lake, Ice Lake, etc.) motherboards with embedded Intel network controllers:

Each time Intel releases a new chipset, it updates the PCI id for the embedded NIC. This means there is a driver update required to support it, which may or may not be available with an extra.lzma update. Alternatively, disable the onboard NIC and install a compatible PCIe NIC such as the Intel CT gigabit card.

 

  Change log (Reveal hidden contents)

[29-Dec-2020] Added options ranked to decision tree, added many links, fleshed out descriptions, cleanup

[26-Nov-2020] Removed Linux kernel version, as features are now well defined to inform the platform selection

[11-Aug-2020] Simplified notes due to 6.2.3 functionality. Added recommendations/sample decision points

[15-Jan-2020] Added RAIDF1 support information

[12-Jan-2020] Added CPU threads and updated extra.lzma applications

[22/Dec/2018] Added information for Genesys loader build

[20/Oct/2018] Updated for 1.04b loader

[22/Nov/2018] Corrected E1000 vNIC dialect to e1000e for 1.03b on ESXi

[10/Dec/2018] Updated earliest processor capability to reflect Nehalem report

Thanks for the information, I'm new here .. I've already managed to install 5.2 and 6.1 .. but my hardware limit would be up to the ds3615 platform. The problem that I can't download synoboot.vmdk for loader 1.03 .. I use virtualbox, could you give me the location of this file? thanks

 

 

Link to post
Share on other sites
2 hours ago, rabbit said:

. The problem that I can't download synoboot.vmdk for loader 1.03 ..

download loader 1.02a (zip) and in there is the vmdk, its jsut a text that can be used with any (even newer) *.img

just open the file with a editor and you will see

Link to post
Share on other sites
  • 3 weeks later...

Hi everyone! I'm new in this comunity and I want to know why is the best option to install it on my Server "HP Proliant ML30 Gen9 1220v5". What Loader and DSM/Model versions I need to download? 
I hope that you can help me.

 

Thanks and best regards,

matias838

Link to post
Share on other sites
On 5/5/2021 at 4:03 AM, matias838 said:

Hi everyone! I'm new in this comunity and I want to know why is the best option to install it on my Server "HP Proliant ML30 Gen9 1220v5". What Loader and DSM/Model versions I need to download? 
I hope that you can help me.

 

Thanks and best regards,

matias838

1.03b loader DS3617xs 

Link to post
Share on other sites
  • 2 weeks later...

hello all

 

can anyone tell me why this works but none of the others do ?

 

DS3615xs6.0.3 to 6.1.71.02b

UEFI, BIOS/CSM

NoNoYesany x86-648

 

 

I am running  

HP Z420 with 24GB 

Standard Motherboard 

Onboard NIC 

Have ordered one of the cards Synology say are compatible 

 

but no other boot loader shows pc as being found on internet so having problems with running DSM 6.2 

 

please help 

 

Mike 

Link to post
Share on other sites
  • 3 months later...

 

36 minutes ago, mozi said:

jun大神什么时候可以更新DSM 7.0的引导

谷歌翻译: 君不再在这里了。 一个新的装载机正在建设 Thorgroup

 

请在这里或中文版块用英语发帖

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.